<ion-view title="Settings" ng-controller="settingsCtrl as scope">
  <ion-content>
    <div class="row">
      <div class="col-sm-1"></div>
      <div class="col-sm-4">
        <div class="setting-label">Administradores</div>
        <button type="button" class="btn btn-primary btn-lg btn-block" ng-click="scope.addAdmin()" style="margin: 5px 0px 10px;">
          Agregar Administrator (Individual)
        </button>
        <div class="navbar navbar-default" ng-repeat="admin in scope.administrators">
          <p class="navbar-text">{{admin}}</p>

          <div class="nav navbar-nav navbar-right" style="margin-right: 15px !important;">
            <button class="btn btn-danger navbar-btn" ng-click="scope.removeAdmin(admin)">Delete</button>
          </div>
        </div>
      </div>

      <div class="col-sm-2"></div>

      <div class="col-sm-4">
        <div class="setting-label">Usuarios Asamblea</div>
        <button type="file" class="btn btn-primary btn-lg btn-block" ngf-select="scope.uploadUsers($files)" accept=".csv" style="margin: 5px 0px 10px;">
          Agregar Usuarios Asamblea (Archivo)
        </button>
        <div class="navbar navbar-default" ng-repeat="usuario in scope.asamblea">
          <p class="navbar-text">{{usuario.email}}</p>

          <div class="nav navbar-nav navbar-right" style="margin-right: 15px !important;">
            <button class="btn btn-danger navbar-btn" ng-click="scope.removeUsuario(usuario.id)">Delete</button>
          </div>
        </div>
      </div>

      <div class="col-sm-1"></div>

    </div>
  </ion-content>
</ion-view>
